Bug 131540 - (intallerissue) Installer hangs when passing linux mem=xxxM
Installer hangs when passing linux mem=xxxM
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-01 22:03 EDT by enigma
Modified: 2015-01-04 17:09 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:06:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description enigma 2004-09-01 22:03:12 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET 
CLR 1.0.3705)

Description of problem:
I have Compaq proliant 5000 server with 3 Pentuim Pro processors and 
512M
If I run the installer it complains about not enough memory cause it 
only reads the first 16M when I use linux mem=512M it freeze or 
complains about not knowing where root is root=" "

I then tried linux mem=exactmap mem=640K@0 mem=512M@1M It now hangs 
at the Load linux kernel

How can I get pass this. I have memtested and everthing.

Do note I have Redhat 7.0 on it which runs fine after I change the 
loader to see the full memory.

Version-Release number of selected component (if applicable):
Fedora2

How reproducible:
Always

Steps to Reproduce:
1.Insert cd
2.Type linux mem=512M or linux mem=exactmap mem=640K@0 mem=512M@1M
3.
    

Actual Results:  If I run the installer it complains about not enough 
memory cause it only reads the first 16M when I use linux mem=512M it 
freeze or complains about not knowing where root is root=" "

I then tried linux mem=exactmap mem=640K@0 mem=512M@1M It now hangs 
at the Load linux kernel

How can I get pass this. I have memtested and everthing.

Do note I have Redhat 7.0 on it which runs fine after I change the 
loader to see the full memory.

Expected Results:  It should install

Additional info:
Comment 1 enigma 2004-09-01 22:08:40 EDT
This is the output i get


Actual Results:  Kernel panics complaining about not being able to 
find 
VFS: Cannot open root device "" or 48:03 
Please append a correct "root=" boot option
Kernel panic: VFS: Unable to mount root fs on 48:03
Comment 2 Dave Jones 2005-04-16 00:06:15 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.